#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int main()
{
    long int a[100000], n, max, t, y, b=0, x;
    cin >> n;
    for(long int i=0;i<n;i++)
        cin >> a[i];
    if(n==2) t=a[0], a[0]=a[1], a[1]=t;
    else
    {
        for(long int i=0;i<n;i++)
            {
                max=a[i];
                x=i;
                for(long int j=n-1;j>x;j--)
                    if(a[j]>max) max=a[j], y=j, b++;
                if(b>0) t=a[i], a[i]=max, a[y]=t, i=i+n;
            }
        if(b==0) t=a[n-2], a[n-2]=a[n-1], a[n-1]=t;
    }    
    for(long int i=0;i<n;i++)
        cout << a[i] << ' ';
    return 0;
}